Package com.android.server.os

# Class LinphoneTombstoneProtos.Signal.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Signal,LinphoneTombstoneProtos.Signal.Builder>
com.android.server.os.LinphoneTombstoneProtos.Signal.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.SignalOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.Signal

public static final class LinphoneTombstoneProtos.Signal.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Signal,LinphoneTombstoneProtos.Signal.Builder> implements LinphoneTombstoneProtos.SignalOrBuilder
Protobuf type `Signal`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.Signal.Builder`
`clearCode()`
`int32 code = 3;`
`LinphoneTombstoneProtos.Signal.Builder`
`clearCodeName()`
`string code_name = 4;`
`LinphoneTombstoneProtos.Signal.Builder`
`clearFaultAddress()`
`uint64 fault_address = 9;`
`LinphoneTombstoneProtos.Signal.Builder`
`clearFaultAdjacentMetadata()`
Note, may or may not contain the dump of the actual memory contents.
`LinphoneTombstoneProtos.Signal.Builder`
`clearHasFaultAddress()`
`bool has_fault_address = 8;`
`LinphoneTombstoneProtos.Signal.Builder`
`clearHasSender()`
`bool has_sender = 5;`
`LinphoneTombstoneProtos.Signal.Builder`
`clearName()`
`string name = 2;`
`LinphoneTombstoneProtos.Signal.Builder`
`clearNumber()`
`int32 number = 1;`
`LinphoneTombstoneProtos.Signal.Builder`
`clearSenderPid()`
`int32 sender_pid = 7;`
`LinphoneTombstoneProtos.Signal.Builder`
`clearSenderUid()`
`int32 sender_uid = 6;`
`int`
`getCode()`
`int32 code = 3;`
`String`
`getCodeName()`
`string code_name = 4;`
`com.google.protobuf.ByteString`
`getCodeNameBytes()`
`string code_name = 4;`
`long`
`getFaultAddress()`
`uint64 fault_address = 9;`
`LinphoneTombstoneProtos.MemoryDump`
`getFaultAdjacentMetadata()`
Note, may or may not contain the dump of the actual memory contents.
`boolean`
`getHasFaultAddress()`
`bool has_fault_address = 8;`
`boolean`
`getHasSender()`
`bool has_sender = 5;`
`String`
`getName()`
`string name = 2;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 2;`
`int`
`getNumber()`
`int32 number = 1;`
`int`
`getSenderPid()`
`int32 sender_pid = 7;`
`int`
`getSenderUid()`
`int32 sender_uid = 6;`
`boolean`
`hasFaultAdjacentMetadata()`
Note, may or may not contain the dump of the actual memory contents.
`LinphoneTombstoneProtos.Signal.Builder`
`mergeFaultAdjacentMetadata(LinphoneTombstoneProtos.MemoryDump value)`
Note, may or may not contain the dump of the actual memory contents.
`LinphoneTombstoneProtos.Signal.Builder`
`setCode(int value)`
`int32 code = 3;`
`LinphoneTombstoneProtos.Signal.Builder`
`setCodeName(String value)`
`string code_name = 4;`
`LinphoneTombstoneProtos.Signal.Builder`
`setCodeNameBytes(com.google.protobuf.ByteString value)`
`string code_name = 4;`
`LinphoneTombstoneProtos.Signal.Builder`
`setFaultAddress(long value)`
`uint64 fault_address = 9;`
`LinphoneTombstoneProtos.Signal.Builder`
`setFaultAdjacentMetadata(LinphoneTombstoneProtos.MemoryDump value)`
Note, may or may not contain the dump of the actual memory contents.
`LinphoneTombstoneProtos.Signal.Builder`
`setFaultAdjacentMetadata(LinphoneTombstoneProtos.MemoryDump.Builder builderForValue)`
Note, may or may not contain the dump of the actual memory contents.
`LinphoneTombstoneProtos.Signal.Builder`
`setHasFaultAddress(boolean value)`
`bool has_fault_address = 8;`
`LinphoneTombstoneProtos.Signal.Builder`
`setHasSender(boolean value)`
`bool has_sender = 5;`
`LinphoneTombstoneProtos.Signal.Builder`
`setName(String value)`
`string name = 2;`
`LinphoneTombstoneProtos.Signal.Builder`
`setNameBytes(com.google.protobuf.ByteString value)`
`string name = 2;`
`LinphoneTombstoneProtos.Signal.Builder`
`setNumber(int value)`
`int32 number = 1;`
`LinphoneTombstoneProtos.Signal.Builder`
`setSenderPid(int value)`
`int32 sender_pid = 7;`
`LinphoneTombstoneProtos.Signal.Builder`
`setSenderUid(int value)`
`int32 sender_uid = 6;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getNumber

public int getNumber()
`int32 number = 1;`

Specified by:
  `getNumber` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The number.

### setNumber

public LinphoneTombstoneProtos.Signal.Builder setNumber(int value)
`int32 number = 1;`

Parameters:
  `value` - The number to set.
Returns:
  This builder for chaining.

### clearNumber

public LinphoneTombstoneProtos.Signal.Builder clearNumber()
`int32 number = 1;`

Returns:
  This builder for chaining.

### getName

public String getName()
`string name = 2;`

Specified by:
  `getName` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 2;`

Specified by:
  `getNameBytes` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The bytes for name.

### setName

public LinphoneTombstoneProtos.Signal.Builder setName(String value)
`string name = 2;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public LinphoneTombstoneProtos.Signal.Builder clearName()
`string name = 2;`

Returns:
  This builder for chaining.

### setNameBytes

public LinphoneTombstoneProtos.Signal.Builder setNameBytes(com.google.protobuf.ByteString value)
`string name = 2;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getCode

public int getCode()
`int32 code = 3;`

Specified by:
  `getCode` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The code.

### setCode

public LinphoneTombstoneProtos.Signal.Builder setCode(int value)
`int32 code = 3;`

Parameters:
  `value` - The code to set.
Returns:
  This builder for chaining.

### clearCode

public LinphoneTombstoneProtos.Signal.Builder clearCode()
`int32 code = 3;`

Returns:
  This builder for chaining.

### getCodeName

public String getCodeName()
`string code_name = 4;`

Specified by:
  `getCodeName` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The codeName.

### getCodeNameBytes

public com.google.protobuf.ByteString getCodeNameBytes()
`string code_name = 4;`

Specified by:
  `getCodeNameBytes` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The bytes for codeName.

### setCodeName

public LinphoneTombstoneProtos.Signal.Builder setCodeName(String value)
`string code_name = 4;`

Parameters:
  `value` - The codeName to set.
Returns:
  This builder for chaining.

### clearCodeName

public LinphoneTombstoneProtos.Signal.Builder clearCodeName()
`string code_name = 4;`

Returns:
  This builder for chaining.

### setCodeNameBytes

public LinphoneTombstoneProtos.Signal.Builder setCodeNameBytes(com.google.protobuf.ByteString value)
`string code_name = 4;`

Parameters:
  `value` - The bytes for codeName to set.
Returns:
  This builder for chaining.

### getHasSender

public boolean getHasSender()
`bool has_sender = 5;`

Specified by:
  `getHasSender` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The hasSender.

### setHasSender

public LinphoneTombstoneProtos.Signal.Builder setHasSender(boolean value)
`bool has_sender = 5;`

Parameters:
  `value` - The hasSender to set.
Returns:
  This builder for chaining.

### clearHasSender

public LinphoneTombstoneProtos.Signal.Builder clearHasSender()
`bool has_sender = 5;`

Returns:
  This builder for chaining.

### getSenderUid

public int getSenderUid()
`int32 sender_uid = 6;`

Specified by:
  `getSenderUid` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The senderUid.

### setSenderUid

public LinphoneTombstoneProtos.Signal.Builder setSenderUid(int value)
`int32 sender_uid = 6;`

Parameters:
  `value` - The senderUid to set.
Returns:
  This builder for chaining.

### clearSenderUid

public LinphoneTombstoneProtos.Signal.Builder clearSenderUid()
`int32 sender_uid = 6;`

Returns:
  This builder for chaining.

### getSenderPid

public int getSenderPid()
`int32 sender_pid = 7;`

Specified by:
  `getSenderPid` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The senderPid.

### setSenderPid

public LinphoneTombstoneProtos.Signal.Builder setSenderPid(int value)
`int32 sender_pid = 7;`

Parameters:
  `value` - The senderPid to set.
Returns:
  This builder for chaining.

### clearSenderPid

public LinphoneTombstoneProtos.Signal.Builder clearSenderPid()
`int32 sender_pid = 7;`

Returns:
  This builder for chaining.

### getHasFaultAddress

public boolean getHasFaultAddress()
`bool has_fault_address = 8;`

Specified by:
  `getHasFaultAddress` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The hasFaultAddress.

### setHasFaultAddress

public LinphoneTombstoneProtos.Signal.Builder setHasFaultAddress(boolean value)
`bool has_fault_address = 8;`

Parameters:
  `value` - The hasFaultAddress to set.
Returns:
  This builder for chaining.

### clearHasFaultAddress

public LinphoneTombstoneProtos.Signal.Builder clearHasFaultAddress()
`bool has_fault_address = 8;`

Returns:
  This builder for chaining.

### getFaultAddress

public long getFaultAddress()
`uint64 fault_address = 9;`

Specified by:
  `getFaultAddress` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The faultAddress.

### setFaultAddress

public LinphoneTombstoneProtos.Signal.Builder setFaultAddress(long value)
`uint64 fault_address = 9;`

Parameters:
  `value` - The faultAddress to set.
Returns:
  This builder for chaining.

### clearFaultAddress

public LinphoneTombstoneProtos.Signal.Builder clearFaultAddress()
`uint64 fault_address = 9;`

Returns:
  This builder for chaining.

### hasFaultAdjacentMetadata

public boolean hasFaultAdjacentMetadata()

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`

Specified by:
  `hasFaultAdjacentMetadata` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  Whether the faultAdjacentMetadata field is set.

### getFaultAdjacentMetadata

public LinphoneTombstoneProtos.MemoryDump getFaultAdjacentMetadata()

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`

Specified by:
  `getFaultAdjacentMetadata` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The faultAdjacentMetadata.

### setFaultAdjacentMetadata

public LinphoneTombstoneProtos.Signal.Builder setFaultAdjacentMetadata(LinphoneTombstoneProtos.MemoryDump value)

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`

### setFaultAdjacentMetadata

public LinphoneTombstoneProtos.Signal.Builder setFaultAdjacentMetadata(LinphoneTombstoneProtos.MemoryDump.Builder builderForValue)

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`

### mergeFaultAdjacentMetadata

public LinphoneTombstoneProtos.Signal.Builder mergeFaultAdjacentMetadata(LinphoneTombstoneProtos.MemoryDump value)

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`

### clearFaultAdjacentMetadata

public LinphoneTombstoneProtos.Signal.Builder clearFaultAdjacentMetadata()

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`